package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface SaleConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void setMoreOptionStr(String moreStr);
		String getEtSaleDeclareStr();
		void setEtSaleDeclareStr(String describe);
		void addMiddleCustomView(android.view.View customView);
		void setSaleArea(String saleArea);
		void finishPage();
		void setSaleLabelStr(String saleLabelStr);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void moreOptionClick();
		void choiceSaleAddressClick();
	}

}
